using System;
using System.Collections.Generic;
using System.Text;

namespace ZebraSample
{
    public abstract class GetPrintRowString
    {
        protected int X = 0;
        protected int Y = 0;

        public GetPrintRowString()
        {

        }

        public GetPrintRowString(int X, int Y)
        {
            this.X = X;
            this.Y = Y;
        }

        public abstract string PrintString();
    }
    /// <summary>
    /// һά
    /// </summary>
    public class Barcode1Dimension : GetPrintRowString
    {
        public Barcode1Dimension()
            : base()
        {

        }
        public Barcode1Dimension(int X, int Y)
            : base(X, Y)
        {

        }

        string _bcContent;
        int _bcSize;
        int _bcW;
        double _bcR;

        public string bcContent
        {
            set { _bcContent = value; }
            get { return _bcContent; }
        }

        public int bcSize
        {
            set { _bcSize = value; }
            get { return _bcSize; }
        }

        public int bcW
        {
            set { _bcW = value; }
            get { return _bcW; }
        }

        public double bcR
        {
            set { _bcR = value; }
            get { return _bcR; }
        }


        public override string PrintString()
        {
            return "^FO" + base.X + "," + base.Y + "^BY" + bcW + "," + bcR + "^BCN," + bcSize + ",N,N,N^FD" + bcContent + "^FS\r\n";//ӡ
        }
    }

    /// <summary>
    /// ı
    /// </summary>
    public class Text : GetPrintRowString
    {
        public Text()
            : base()
        {

        }
        public Text(int X, int Y)
            : base(X, Y)
        {

        }

        string _txtContent;
        int _txtW;
        int _txtH;

        public string txtContent
        {
            set { _txtContent = value; }
            get { return _txtContent; }
        }

        public int txtW
        {
            set { _txtW = value; }
            get { return _txtW; }
        }

        public int txtH
        {
            set { _txtH = value; }
            get { return _txtH; }
        }


        public override string PrintString()
        {
            return "^FO" + base.X + "," + base.Y + "^ADN," + txtH + "," + txtW + "^CI0^FD" + txtContent + "^FS\r\n";
        }
    }

    /// <summary>
    /// ͼƬ
    /// </summary>
    public class Images : GetPrintRowString
    {
        public Images()
            : base()
        {

        }
        public Images(int X, int Y)
            : base(X, Y)
        {

        }

        string _imgName;
        int _imgMX;//xŴ
        int _imgMY;//yŴ


        public string imgName
        {
            set { _imgName = value; }
            get { return _imgName; }
        }


        public int imgMX
        {
            set { _imgMX = value; }
            get { return _imgMX; }
        }

        public int imgMY
        {
            set { _imgMY = value; }
            get { return _imgMY; }
        }


        public override string PrintString()
        {
            return "^FO" + base.X + "," + base.Y + "^XG" + imgName + "," + imgMX + "," + imgMY + "^FS\r\n";
        }
    }
}